## org.beepcore.beep.core
Class OutputDataStream

    java.lang.Object
      org.beepcore.beep.core.OutputDataStream

Direct Known Subclasses:
  ByteOutputDataStream, StringOutputDataStream

public class OutputDataStream
extends java.lang.Object

`OutputDataStream` represents a BEEP message's payload as a stream.

Field Summary
`protected MimeHeaders` `mimeHeaders`

Constructor Summary
`OutputDataStream()` Creates an `OutputDataStream` without any mime headers.
`OutputDataStream(MimeHeaders headers)` Creates an `OutputDataStream` using the specified mime headers.
`OutputDataStream(MimeHeaders headers, BufferSegment buf)` Creates an `OutputDataStream` using the specified mime headers.

Method Summary
`void` `add(BufferSegment segment)`
`void` `close()` Deprecated.
`boolean` `isComplete()` Returns `true` if no more bytes will be added to those currently available on this stream.
`void` `setComplete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mimeHeaders

    protected final MimeHeaders mimeHeaders

Constructor Detail

### OutputDataStream

    public OutputDataStream()

  Creates an `OutputDataStream` without any mime headers. It is the responsibility of the application to ensure the mime headers exist in the first `BufferSegment` added.

### OutputDataStream

    public OutputDataStream(MimeHeaders headers)

  Creates an `OutputDataStream` using the specified mime headers.

Parameters:
  `headers` - Mime headers to be prepended to the buffers in the stream.

### OutputDataStream

    public OutputDataStream(MimeHeaders headers,
                            BufferSegment buf)

  Creates an `OutputDataStream` using the specified mime headers.

Parameters:
  `headers` - Mime headers to be prepended to the buffers in the stream.

Method Detail

### add

    public void add(BufferSegment segment)

### close

    public void close()

  Deprecated.

### isComplete

    public boolean isComplete()

  Returns `true` if no more bytes will be added to those currently available on this stream. Returns `false` if more bytes are expected.

### setComplete

    public void setComplete()

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.